-- write out that we loaded sucessfully (more or less, anyway)
io.write("Starting script for Level: Desert 2 in BlinkenLUA / ",_VERSION,"!\n")

-- declare some global variables
GFX_WALL_TILE = -1;
OBJ_WALL_TILE = -1;

SND_BEAM = -1;



-- Required function: Initializing the level
function initLevel ()
    -- preload all gfx (on-the-fly loading is NOT recommended)
    GFX_DOOR_CLOSED = LoadGFX("fg_door_closed.bmp");
    GFX_DOOR_OPEN = LoadGFX("fg_door_open.bmp");

    GFX_WALL_TILE = LoadGFX("wall_tile.bmp");

    -- load extra sound
    SND_BEAM = LoadSoundFX("fx_kill_monster.ogg"); -- TODO add better ogg for this
end



-- Required function: Physics-loop for scripting part
function scriptPhysics ()
    -- Handle beaming
    -- von Koenigsgruft nach ganz oben
    if GetPlayerX()>9000 and GetPlayerX()<9030 and GetPlayerY()>2130 and GetPlayerY()<2150 then
        PlaySoundFX(SND_BEAM);
        SetPlayerX(7300);
        SetPlayerY(23);
    end 
end



function handleAction (obj_id)
    --not needed
end
