-- Exercise scripting a bit in our test-level

-- write out that we loaded sucessfully (mor or less, anyway)
io.write("Starting script for Level0 in BlinkenLUA / ",_VERSION,"!\n")

-- declare some global variables
GFX_HUNTINGSEASON = {};
OBJ_HUNTINGSEASON = -1;
HS_COUNT = 5;
HS_SHOWN = 1;

-- Required function: Initializing the level
function initLevel ()
    -- preload all gfx (on-the-fly loading is NOT recommended)
	
    GFX_HUNTINGSEASON[0] = LoadGFX("fg_huntingseason.bmp");
	GFX_HUNTINGSEASON[1] = LoadGFX("fg_huntingseason_neon.bmp");

    -- create sign
    OBJ_HUNTINGSEASON = AddObject(GFX_HUNTINGSEASON[1], 30, 30, 0, 1, 0, 0);

end

-- Required function: Physics-loop for scripting part
function scriptPhysics ()
	HS_COUNT = HS_COUNT - 1;
	if HS_COUNT == 0 then
		HS_SHOWN = 1 - HS_SHOWN;
		SetGFX(OBJ_HUNTINGSEASON, GFX_HUNTINGSEASON[HS_SHOWN]);
		if HS_SHOWN == 0 then
			HS_COUNT = 50;
		else
			HS_COUNT = 25;
		end
	end
end

-- Required function: Callback on "Action"-Button on FG-Objects
function handleAction (obj_id)
    -- NOTHING TO DO
end
