// BlinkGame - Hunt for the Lost Pixels
// an SDL game in honor of the BlinkenArea crew
//
// (C) 2005-06 Rene Schickbauer, Wolfgang Dautermann
//
// See License.txt for licensing information
//


#ifndef BLENDING_H
#define BLENDING_H

Uint32 blend_avg(Uint32 source, Uint32 target);
Uint32 blend_mul(Uint32 source, Uint32 target);
Uint32 blend_add(Uint32 source, Uint32 target);
void blend_darkenRect(Sint32 x, Sint32 y, Sint32 width, Sint32 height, Uint32 factor);
Uint32 blend_alpha(Uint32 source, Uint32 target, Uint32 factor);

#endif // BLENDING_H
