// BlinkGame - Hunt for the Lost Pixels
// an SDL game in honor of the BlinkenArea crew
//
// (C) 2005-06 Rene Schickbauer, Wolfgang Dautermann
//
// See License.txt for licensing information
//


#ifndef ENGINE_H
#define ENGINE_H

void initEngine();
void deInitEngine();
void displayEngine(char* attrackModeFile = 0);

extern double spritex, spritey, spritevx, spritevy;
extern bool isJumping;
extern bool hasGravity;
extern bool freeMovement;
extern bool lockedBG;
extern bool touchFGObject;
extern Uint32 foundPixels;
extern bool leftpressed;
extern bool rightpressed;
extern bool canPaintSpecialTiles;
extern bool allowedToExit;
extern bool attracktModeRunning;
extern bool killPlayer;
#endif // ENGINE_H
