// BlinkGame - Hunt for the Lost Pixels
// an SDL game in honor of the BlinkenArea crew
//
// (C) 2005-06 Rene Schickbauer, Wolfgang Dautermann
//
// See License.txt for licensing information
//


#ifdef PARSE_ERRORCODES
// The following lines are used via macros from errorhandler.*
// DO NOT INCLUDE THEM ELSEWHERE, INCLUDE errorhandler.h
XX(ERROR_FILE_READ,	 100, "Can't open file for reading")
XX(ERROR_FILE_WRITE,	101, "Can't open file for writing")
XX(ERROR_IMAGE_READ,	102, "Can't read or understand image file")
XX(ERROR_SOUND_READ,	103, "Can't read or understand sound file")
XX(ERROR_BOUNDARY,	  104, "Index out of boundary")
XX(ERROR_INDEX_INVALID, 105, "Invalid index")
XX(ERROR_POSITION,	  106, "Illegal Position")
XX(ERROR_LUAINIT,	   107, "Could not initialize LUA")
XX(ERROR_LUALOAD,	   108, "Could not load LUA file")
XX(ERROR_LUAPARSE,	  109, "Could not parse LUA file")
XX(ERROR_LUACALL,	   110, "Error running LUA function")
XX(ERROR_LUANOINIT,	 111, "LUA not initialized")
XX(ERROR_LUAPARAMFORMAT,112, "Unknown LUA parameter format")
XX(ERROR_LUAARGCOUNT,   113, "Too many arguments for LUA stack buffer")
XX(ERROR_LUARESULTTYPE, 114, "Wrong result type from LUA")
XX(ERROR_LUAL2BTYPE,	115, "Wrong type from LUA call to BlinkenSisters")
XX(ERROR_LUAL2BDIE,	 116, "DIE called from LUA script")
XX(ERROR_FONTLOAD,	  117, "Could not load menu font")
XX(ERROR_LZO,	  118, "Error in LZO module")
XX(ERROR_BMFMAGIC,	  119, "BMF Magic mismatch")
XX(ERROR_BMFVERSION,	  120, "BMF Version mismatch")
XX(ERROR_BMFEOF,	  121, "Premature end of BMF file")
XX(ERROR_BMFWIDTH,	  122, "Unsupported frame width")
XX(ERROR_BMFHEIGHT,	  123, "Unsupported frame height")
XX(ERROR_BMFPARSE,	  124, "Failed to parse Meta BMF")
XX(ERROR_HTTPGET,	  200, "Failed to get file from HTTP")
XX(ERROR_HTTPTOC,	  201, "TOC parse error")
XX(ERROR_HOME,        202, "Can't find users home directory")
#endif // PARSE_ERRORCODES
