// BlinkGame - Hunt for the Lost Pixels
// an SDL game in honor of the BlinkenArea crew
//
// (C) 2005-06 Rene Schickbauer, Wolfgang Dautermann
//
// See License.txt for licensing information
//


#ifndef GAMEENGINE_H
#define GAMEENGINE_H

struct PLAYER {
	Uint32 level;
	Uint32 score;
	Uint32 lives;
};

struct GAMEDATA {
	PLAYER players[MAX_PLAYERS];
	PLAYER* player;
	Uint32 highscore;
};

extern GAMEDATA gamedata;

void initGame();
void playGame();

#endif // GAMEENGINE_H
