// BlinkGame - Hunt for the Lost Pixels
// an SDL game in honor of the BlinkenArea crew
//
// (C) 2005-06 Rene Schickbauer, Wolfgang Dautermann
//
// See License.txt for licensing information
//


#ifndef OSDEPS_H
#define OSDEPS_H
#include <SDL.h>
#include <SDL_image.h>

#ifndef DISABLE_SOUND
#include <SDL_mixer.h>
#endif

#ifdef __WIN32__
#define RESPATH ""
#endif // __WIN32__

#ifdef XCODE_DEVELOPMENT
#undef CAVAC_RELEASEMODE
#undef ENABLE_FULLSCREEN
#endif // XCODE_DEVELOPMENT

#ifdef __WIN32__
bool Win32_GetDocPath(char* docPath);
#endif // __WIN32__

#endif // OSDEPS_H
