// BlinkGame - Hunt for the Lost Pixels
// an SDL game in honor of the BlinkenArea crew
//
// (C) 2005-06 Rene Schickbauer, Wolfgang Dautermann
//
// See License.txt for licensing information
//


#ifndef OUTPUTFILTER_H
#define OUTPUTFILTER_H

typedef enum _OUTPUTFILTER_TYPE {
	OUTPUTFILTER_NONE = 0,
	OUTPUTFILTER_GREYSCALE = 1,
	OUTPUTFILTER_COLORINVERT = 2,
	OUTPUTFILTER_NOISERECT = 4,
	OUTPUTFILTER_NOISECIRCLE = 8,
	OUTPUTFILTER_NOISESTRIPE = 16,
	OUTPUTFILTER_FADING = 32,
} OUTPUTFILTER_TYPE;
	
void initOutputFilter();
void deInitOutputFilter();
void applyOutputFilter();
void setOutputFilter(Uint32 type);
void setOutputFilterFading(Uint32 fading);

#endif // OUTPUTFILTER_H
