// BlinkGame - Hunt for the Lost Pixels
// an SDL game in honor of the BlinkenArea crew
//
// (C) 2005-06 Rene Schickbauer, Wolfgang Dautermann
//
// See License.txt for licensing information
//


#ifndef TILES_H
#define TILES_H

void initTiles(char *fname);
void deInitTiles();
void paintSingleTile(Uint32 num, int x, int y);
Uint32 getNumOfTiles();
void paintLevelTiles(Uint32 xoffs, Uint32 yoffs);
void paintSpecialTiles(Uint32 xoffs, Uint32 yoffs, bool canExit);

typedef enum _SPECIALTILES {
	SPECIALTILE_START,
	SPECIALTILE_GOAL
} SPECIALTILES;

#endif // TILES_H
