// BlinkGame - Hunt for the Lost Pixels
// an SDL game in honor of the BlinkenArea crew
//
// (C) 2005-06 Rene Schickbauer, Wolfgang Dautermann
//
// See License.txt for licensing information
//


#ifndef BL_LUA_H
#define BL_LUA_H

void blLuaInit(char *fname);
void blLuaDeInit();
void blLuaCall(char *func, char *sig, ...);

// To simplify registration of the binding function, use a macro
#ifdef NEED_REGISTER_FUNCTION
#define REGISTER(func,name) lua_pushcfunction(L, func); \
lua_setglobal(L, name);

#define REGISTERGLOBAL(val, name) lua_pushnumber(L, val); \
lua_setglobal(L, name);

#endif // NEED_REGISTER_FUNCTION


#endif // BL_LUA_H
