// BlinkGame - Hunt for the Lost Pixels
// an SDL game in honor of the BlinkenArea crew
//
// (C) 2005-06 Rene Schickbauer, Wolfgang Dautermann
//
// See License.txt for licensing information
//


#ifndef CONFIG_H
#define CONFIG_H

#include "globals.h"

void configInit();
void configSetBasePath(char *path);
char* configGetPath(char* fname);
void configSetAddOn(char* addOnName);
void configResetAddOn();
void configReloadData();
void configStartupComplete();

#ifdef CDEDITION
void configInstallAddOn(char* fname);
#endif // CDEDITION

#endif // CONFIG_H
