// BlinkGame - Hunt for the Lost Pixels
// an SDL game in honor of the BlinkenArea crew
//
// (C) 2005-06 Rene Schickbauer, Wolfgang Dautermann
//
// See License.txt for licensing information
//


#ifndef PLAYERSPRITE_H
#define PLAYERSPRITE_H

#include "globals.h"

void initPlayerSprite();
void deInitPlayerSprite();
void blitSprite(Uint32 x, Uint32 y, SDL_Surface* src, Uint32 srcoffs);
void showSprite(Uint32 x, Uint32 y, MOVE_TYPE mtype);

extern Uint32 playersprite_srcoffset;
extern SDL_Surface* sprite;

#endif // PLAYERSPRITE_H



