#include "globals.h"
#include "splash.h"
#include "errorhandler.h"
#include "drawprimitives.h"

void showSplash() {

	gScreen = SDL_SetVideoMode(500, 300, 32, SDL_SWSURFACE | SDL_NOFRAME);
	drawrect(0, 0, 500, 300, 0xffffff);
	
	char fullfname[MAX_FNAME_LENGTH];
	sprintf(fullfname, "%s", configGetPath("splash.jpg"));
	SDL_Surface* temp = IMG_Load(fullfname);
	if(!temp) {
		DIE(ERROR_IMAGE_READ, fullfname);
	}
	
	SDL_Surface *temp2 = SDL_DisplayFormat(temp);
	SDL_FreeSurface(temp);
	
	SDL_BlitSurface(temp2, 0, gScreen, 0);
	SDL_Flip(gScreen);
	SDL_Delay(5000);
	SDL_FreeSurface(temp2);
	

}
