#ifndef TRIGGERS_H
#define TRIGGERS_H

typedef enum _TRIGGER_TYPE {
	TRIGGER_TYPE_NONE = 0,
	TRIGGER_TYPE_FG,
	TRIGGER_TYPE_TIMER
} TRIGGER_TYPE;

struct TRIGGER {
	TRIGGER_TYPE type;
	bool isActive;
	Uint32 objid;
	char funcname[100];
};

void initTriggers();
void deInitTriggers();
void registerFGTrigger(Uint32 objid, bool isActive, char* funcname);
void setTriggerActive(Uint32 objid, bool isActive);
void handleTriggers();

extern TRIGGER gTriggers[];


#endif // TRIGGERS_H
